import React, { Component } from 'react'
import axios from 'axios';
import { BrowserRouter, Route, Switch } from 'react-router-dom'
import { useState, useEffect } from 'react';
import './scss/style.scss'
import ForgotPassword from './views/pages/register/ForgotPassword'
import NewRegister from './views/pages/register/NewRegister'
import ProtectedRoute from './components/ProtectedRoute';

const loading = (
  <div className="pt-3 text-center">
    <div className="sk-spinner sk-spinner-pulse"></div>
  </div>
)
// import EditProducts from './views/Commerce/Editproducts'
// Containers
const DefaultLayout = React.lazy(() => import('./layout/DefaultLayout'))

// Pages
const Login = React.lazy(() => import('./views/pages/login/Login'))
const Register = React.lazy(() => import('./views/pages/register/Change_password'))
const Page404 = React.lazy(() => import('./views/pages/page404/Page404'))
const Page500 = React.lazy(() => import('./views/pages/page500/Page500'))

class App extends Component {
  render() {
    return (
      <BrowserRouter>
        <React.Suspense fallback={loading}>
          <Switch>
            < Route exact path="/" name="Login Page" render={(props) => <Login {...props} />} />

            <Route exact path="/forgot" name="Forgot Page" render={(props) => <ForgotPassword {...props} />} />
            <Route exact path="/newRegister" name="Register Page" render={(props) => <NewRegister {...props} />} />

            <Route exact path="/404" name="Page 404" render={(props) => <Page404 {...props} />} />
            <Route exact path="/500" name="Page 500" render={(props) => <Page500 {...props} />} />


            {/* localStorage.getItem('authToken') ? */}
            <Route path="/" name="Home" render={(props) => <DefaultLayout {...props} />} />
            {/* < ProtectedRoute path="/" name="Home" render={(props) => <DefaultLayout {...props} />} /> */}




          </Switch>
        </React.Suspense>
      </BrowserRouter>
    )
  }
}
//@coreui/coreui-free-react-admin-template@4.1.1
export default App
